Index: drivers/s390/block/dasd.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/s390/block/dasd.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/s390/block/dasd.c	22 Jul 2004 19:49:59 -0000	1.1
+++ drivers/s390/block/dasd.c	4 Aug 2004 01:29:28 -0000	1.2
@@ -4235,13 +5433,14 @@
 #ifdef CONFIG_DASD_ECKD
 	rc = dasd_eckd_init ();
 	if (rc == 0) {
-		DASD_DRIVER_DEBUG_EVENT (1, dasd_init,
-					 "ECKD discipline %s", "success");
-		printk (KERN_INFO PRINTK_HEADER
-			"Registered ECKD discipline successfully\n");
+
+		MESSAGE (KERN_INFO, "%s",
+                         "Registered ECKD discipline successfully");
 	} else {
-		DASD_DRIVER_DEBUG_EVENT (1, dasd_init,
-					 "ECKD discipline %s", "failed");
+
+		DBF_EVENT (DBF_ALERT, "%s",
+                           "Register ECKD discipline failed");
+
 		goto failed;
 	}
 #endif /* CONFIG_DASD_ECKD */
@@ -4251,14 +5450,14 @@
 #ifdef CONFIG_DASD_FBA
 	rc = dasd_fba_init ();
 	if (rc == 0) {
-		DASD_DRIVER_DEBUG_EVENT (1, dasd_init,
-					 "FBA discipline %s", "success");
-
-		printk (KERN_INFO PRINTK_HEADER
-			"Registered FBA discipline successfully\n");
+                
+		MESSAGE (KERN_INFO, "%s",
+			"Registered FBA discipline successfully");
 	} else {
-		DASD_DRIVER_DEBUG_EVENT (1, dasd_init,
-					 "FBA discipline %s", "failed");
+                
+		DBF_EVENT (DBF_ALERT, "%s",
+                           "Register FBA discipline failed");
+
 		goto failed;
 	}
 #endif /* CONFIG_DASD_FBA */
@@ -4276,12 +5475,16 @@
 	rc = 0;
 	goto out;
       failed:
-	printk (KERN_INFO PRINTK_HEADER
-		"initialization not performed due to errors\n");
+
+	MESSAGE (KERN_INFO, "%s",
+                 "initialization not performed due to errors");
+
 	cleanup_dasd ();
       out:
-	DASD_DRIVER_DEBUG_EVENT (0, dasd_init, "%s", "LEAVE");
-	printk (KERN_INFO PRINTK_HEADER "initialization finished\n");
+        
+	MESSAGE (KERN_INFO, "%s",
+                 "initialization finished");
+
 	return rc;
 }
 
@@ -4293,57 +5496,60 @@
 	struct list_head *l,*n;
 	dasd_range_t *range;
 
-	printk (KERN_INFO PRINTK_HEADER "shutting down\n");
-        DASD_DRIVER_DEBUG_EVENT(0,"cleanup_dasd","%s","ENTRY");
-	dasd_disable_ranges (&dasd_range_head, NULL, 1, 1);
-        if (MACHINE_IS_VM) {
+	MESSAGE (KERN_INFO, "%s",
+                "shutting down");
+
+	dasd_disable_ranges (&dasd_range_head, 
+                             NULL, 1, 1);
+
 #ifdef CONFIG_DASD_DIAG
+        if (MACHINE_IS_VM) {
                 dasd_diag_cleanup ();
-                DASD_DRIVER_DEBUG_EVENT (1, "cleanup_dasd",
-                                         "DIAG discipline %s", "success");
-                printk (KERN_INFO PRINTK_HEADER
-			"De-Registered DIAG discipline successfully\n");
-#endif /* CONFIG_DASD_ECKD_BUILTIN */
+
+                MESSAGE (KERN_INFO, "%s",
+                         "De-Registered DIAG discipline successfully");
 	}
+#endif /* CONFIG_DASD_DIAG */
+
 #ifdef CONFIG_DASD_FBA
 	dasd_fba_cleanup ();
-	DASD_DRIVER_DEBUG_EVENT (1, "cleanup_dasd",
-				 "FBA discipline %s", "success");
-	printk (KERN_INFO PRINTK_HEADER
-		"De-Registered FBA discipline successfully\n");
-#endif /* CONFIG_DASD_ECKD_BUILTIN */
+
+	MESSAGE (KERN_INFO, "%s",
+		"De-Registered FBA discipline successfully");
+#endif /* CONFIG_DASD_FBA */
+
 #ifdef CONFIG_DASD_ECKD
 	dasd_eckd_cleanup ();
-	DASD_DRIVER_DEBUG_EVENT (1, "cleanup_dasd",
-				 "ECKD discipline %s", "success");
-	printk (KERN_INFO PRINTK_HEADER
-		"De-Registered ECKD discipline successfully\n");
-#endif /* CONFIG_DASD_ECKD_BUILTIN */
 
-	genhd_dasd_name = NULL;
-	genhd_dasd_ioctl = NULL;
+	MESSAGE (KERN_INFO, "%s",
+                 "De-Registered ECKD discipline successfully");
+#endif /* CONFIG_DASD_ECKD */
+
+        genhd_dasd_name = NULL;
+        genhd_dasd_ioctl = NULL;
+
+#ifdef CONFIG_PROC_FS
 	dasd_proc_cleanup ();
+#endif /* CONFIG_PROC_FS */
         
-	list_for_each_safe (l, n, &dasd_major_info[0].list) {
+	list_for_each_safe (l, n, &dasd_major_info) {
 		major_info = list_entry (l, major_info_t, list);
 		for (i = 0; i < DASD_PER_MAJOR; i++) {
 			kfree (major_info->dasd_device[i]);
 		}
 		if ((major_info->flags & DASD_MAJOR_INFO_REGISTERED) &&
 		    (rc = dasd_unregister_major (major_info)) == 0) {
-			DASD_DRIVER_DEBUG_EVENT (1, "cleanup_dasd",
-						 "major %d: success",
-						 major_info->gendisk.major);
-			printk (KERN_INFO PRINTK_HEADER
-				"Unregistered successfully from major no %u\n",
+
+			MESSAGE (KERN_INFO, 
+				"Unregistered successfully from major no %u",
 				major_info->gendisk.major);
 		} else {
-			DASD_DRIVER_DEBUG_EVENT (1, "cleanup_dasd",
-						 "major %d: failed",
-						 major_info->gendisk.major);
-			printk (KERN_WARNING PRINTK_HEADER
-				"Couldn't unregister successfully from major no %d rc = %d\n",
-				major_info->gendisk.major, rc);
+
+			MESSAGE (KERN_WARNING,
+                                 "Couldn't unregister successfully from major "
+                                 "no %d rc = %d",
+                                 major_info->gendisk.major, 
+                                 rc);
   		}
   	}
 	list_for_each_safe (l, n, &dasd_range_head.list) {
@@ -4360,10 +5566,14 @@
 #endif /* MODULE */
         if (dasd_devfs_handle) 
                 devfs_unregister(dasd_devfs_handle);
-        if (dasd_debug_area != NULL )
+
+        if (dasd_debug_area != NULL ) {
                 debug_unregister(dasd_debug_area);
-	printk (KERN_INFO PRINTK_HEADER "shutdown completed\n");
-        DASD_DRIVER_DEBUG_EVENT(0,"cleanup_dasd","%s","LEAVE");
+                dasd_debug_area = NULL;
+        }
+
+	MESSAGE (KERN_INFO, "%s",
+                 "shutdown completed");
 }
 
 #ifdef MODULE
